Index: trunk/tools/bootloader_tsar/boot_entry.S
===================================================================
--- trunk/tools/bootloader_tsar/boot_entry.S	(revision 6)
+++ trunk/tools/bootloader_tsar/boot_entry.S	(revision 296)
@@ -22,39 +22,39 @@
  */
 
-/*************************************************************************************************
- * This file contains the entry point of the ALMOS-MK boot-loader for TSAR architecture.         *
- * It supports a generic multi-clusters / multi-processors architecture                          *
- *                                                                                               *
- * - The number of clusters is defined by the (X_SIZE, Y_SIZE) parameters in the                 *
- *   hard_config.h file (up to 256 clusters).                                                    *
- * - The number of processors per cluster is defined by the NB_PROCS_MAX parameter in the        *
- *   hard_config.h file (up to 4 processors per cluster).                                        *
- *                                                                                               *
- * This assembly code is executed by all cores. It has 2 versions (in order to see if the        *
- * contention created by the ARCHINFO core descriptor table scanning loops is acceptable):       *
- * with or without the assumption that the core hardware identifier gid has a fixed format:      *
- *                                                                                               *
- * - Version with fixed format: gid == (((x << Y_WIDTH) + y) << PADDR_WIDTH) + lid               *
- *   It does 3 things:                                                                           *
- *      + It initializes the stack pointer depending on the lid extracted from the gid,          *
- *        using the BOOT_STACK_BASE and BOOT_STACK_SIZE parameters defined in the                *
- *        'boot_config.h' file,                                                                  *
- *      + It changes the value of the address extension registers using the cxy extracted        *
- *        from the gid,                                                                          *
- *      + It jumps to the boot_loader() function defined in the 'boot.c' file and passes 2       *
- *        arguments which are the cxy and lid of each core to this function.                     *
- *                                                                                               *
- * - Version without fixed format                                                                *
- *   It has to perform an additional step in order to extract the (cxy,lid) values from the      *
- *   arch_info.bin structure that has been loaded in the cluster (0,0) memory by the bscpu.      *
- *      + Each core other than the bscpu scans the core descriptor table in the arch_info.bin    *
- *        structure to make an associative search on the (gid), and get the (cxy,lid).           *
- *      + It initializes the stack pointer depending on the lid, using the BOOT_STACK_BASE       *
- *        and BOOT_STACK_SIZE parameters defined in the 'boot_config.h' file,                    *
- *      + It changes the value of the address extension registers using cxy obtained             *
- *        previously,                                                                            *
- *      + It jumps to the boot_loader() function defined in the 'boot.c' file and passes 2       *
- *        arguments which are the cxy and lid of each core to this function.                     *
- *************************************************************************************************/
+/**********************************************************************************************
+ * This file contains the entry point of the ALMOS-MK boot-loader for TSAR architecture.      *
+ * It supports a generic multi-clusters / multi-processors architecture                       *
+ *                                                                                            *
+ * - The number of clusters is defined by the (X_SIZE, Y_SIZE) parameters in the              *
+ *   hard_config.h file (up to 256 clusters).                                                 *
+ * - The number of processors per cluster is defined by the NB_PROCS_MAX parameter in the     *
+ *   hard_config.h file (up to 4 processors per cluster).                                     *
+ *                                                                                            *
+ * This assembly code is executed by all cores. It has 2 versions (in order to see if the     *
+ * contention created by the ARCHINFO core descriptor table scanning loops is acceptable):    *
+ * with or without the assumption that the core hardware identifier gid has a fixed format:   *
+ *                                                                                            *
+ * - Version with fixed format: gid == (((x << Y_WIDTH) + y) << PADDR_WIDTH) + lid            *
+ *   It does 3 things:                                                                        *
+ *      + It initializes the stack pointer depending on the lid extracted from the gid,       *
+ *        using the BOOT_STACK_BASE and BOOT_STACK_SIZE parameters defined in the             *
+ *        'boot_config.h' file,                                                               *
+ *      + It changes the value of the address extension registers using the cxy extracted     *
+ *        from the gid,                                                                       *
+ *      + It jumps to the boot_loader() function defined in the 'boot.c' file and passes 2    *
+ *        arguments which are the cxy and lid of each core to this function.                  *
+ *                                                                                            *
+ * - Version without fixed format                                                             *
+ *   It has to perform an additional step in order to extract the (cxy,lid) values from the   *
+ *   arch_info.bin structure that has been loaded in the cluster (0,0) memory by the bscpu.   *
+ *      + Each core other than the bscpu scans the core descriptor table in the arch_info.bin *
+ *        structure to make an associative search on the (gid), and get the (cxy,lid).        *
+ *      + It initializes the stack pointer depending on the lid, using the BOOT_STACK_BASE    *
+ *        and BOOT_STACK_SIZE parameters defined in the 'boot_config.h' file,                 *
+ *      + It changes the value of the address extension registers using cxy obtained          *
+ *        previously,                                                                         *
+ *      + It jumps to the boot_loader() function defined in the 'boot.c' file and passes 2    *
+ *        arguments which are the cxy and lid of each core to this function.                  *
+ *********************************************************************************************/
 
 #include "mips32_registers.h"
